System.Design 2.0.0.0 System.Web.UI.Design.ControlDesigner

The class provides a base designer class for controls that can be modified on the design surface. This includes controls that contain child controls or editable inner properties. The provides a single framed region to represent the control, and automatically handles rendering the control at design time.

Apply the attribute on the associated control to determine the design-time behavior of the . Apply the settings on the associated control as follows:

false to indicate that the represents the contents of the editable design region as child controls.

true to indicate that the represents the contents of the editable design region as editable inner properties of the control.

Control developers can derive and extend a custom designer from one of several base designers depending on the kind of control that is being developed, as defined in the following list:

Controls that allow child controls to be added to it at design time can derive from the class. For example, the class is derived from the class and represents a control on the design surface.

Controls that have one or more child controls, and might also have an editable designer region where controls can be added at design time, can derive from the class.

Controls that require custom design-time processing can derive from the base class.

The class replaces the obsolete class.

Use the attribute to associate a custom designer class together with a custom control implementation. For detailed information about how to use control designers with custom controls, see Walkthrough: Creating a Basic Control Designer for a Web Server Control.

Provides designer functionality for controls that contain child controls or properties that can be modified at design time.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Void ``

  The method adds a set of style attributes for the design-time representation of the control. The style attribute values are added to the collection, keyed by the style attribute name. For example, you can access the height value in the collection as styleAttributes["height"] for C# or styleAttributes("height") for Microsoft Visual Basic.

  If the associated control is not derived from the class, the method does not add attribute values to the collection.

  Adds the style attributes for the control at design time.

  A keyed collection of style attributes.
- Property
  2.0.0.0
  System.Boolean To be added.

  The base implementation for the property returns true. This indicates that the designer supports resizing of the control on the design surface.

  Gets a value indicating if the control can be resized at design time.

- Property
  2.0.0.0
  System.String To be added.

  The string is the caption that is displayed in the frame around the editable region of the control on the design surface.

  The default caption for a frame is the property of the designer instance. This is typically the same as the run-time property of the control.

  Gets the caption that is displayed for a control at design time.

- Property
  2.0.0.0
  System.Web.UI.WebControls.Style To be added.

  The property indicates the style properties of the frame around the editable region of the control on the design surface.

  Gets the style that is applied to the control frame at design time.

- Method
  2.0.0.0
  System.Collections.IDictionary

  The method returns a collection of style attributes for the design-time representation of the control.

  To examine a style attribute value at design time for a control, use the style attribute name as a key to the returned collection. Style attribute values are stored as strings in the collection. For example, you can access the height value in the collection as styleAttributes["height"] for C# or styleAttributes("height") for Microsoft Visual Basic.

  If the associated control is not derived from the class, the method returns an empty collection.

  Returns the collection of style attributes for the control at design time.

  A collection of style attributes applied to the control on the design surface. The style attribute names are keys used to access the style attribute values in the .

- Method
  2.0.0.0
  System.String ``

  Use the method to get the HTML for the control. Child controls that are contained in the editable design region are rendered using their associated control designers.

  The method initializes a new object for the editable region of associated control, and then returns the region through the collection.

  Returns the HTML markup that is used to represent the control at design time.

  An HTML markup string that represents the control.

  A collection of designer regions.
- Method
  2.0.0.0
  System.String ``

  The class implements a single designer region instead of a collection of designer regions. Therefore, the parameter is ignored, and the method returns the content for the single designer region that is contained in the control designer.

  Returns the content for the editable region of the control at design time.

  The persisted content of the region contained within the .

  An editable design region contained within the control.
- Method
  2.0.0.0
  System.String

  The method returns null to indicate that the class does not have persisted inner content.

  Returns the persistable content of the control at design time.

  null.

- Method
  2.0.0.0
  System.Void `` ``

  The class implements a single designer region instead of a collection of designer regions. Therefore, the parameter is ignored, and the method sets the content for the single designer region that is contained in the control designer.

  Sets the content for the editable region of the control at design time.

  An editable design region contained within the control. Content to assign for the editable design region.